using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record AppSettings(string BuildNumber,
                          string Company,
                          string Destination,
                          string GitCommitSeven,
                          int MillisecondsDelay,
                          string WatchDirectory)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, AppSettingsSourceGenerationContext.Default.AppSettings);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(AppSettings))]
internal partial class AppSettingsSourceGenerationContext : JsonSerializerContext
{
}